<div class="dzm-itb-sqr-wrapper " style="{$instance->getStyleString()}">

    {$img = $instance->getProperty('img')}
    {if $img != ''}
        <div class="dzm-itb-sqr-image-container">

            {if $instance->getProperty('aspect') != ''}
                {$aspect = 'aspect-ratio:'|cat:$instance->getProperty('aspect')|cat:';'}
            {else}
                {$aspect = ''}
            {/if}

            {$imgAttribs = $instance->getImageAttributes($img, '', '')}
            {image
            srcset=$imgAttribs.srcset
            sizes=$imgAttribs.srcsizes
            src=$imgAttribs.src
            alt=$imgAttribs.alt|escape:'html'
            title=$slideTitle|escape:'html'
            style=$aspect}
        </div>
    {/if}

    {$padding = $instance->getProperty('textPadding')}
    {if $padding >= '-3'}
        {$paddingtop = 'pt-3'}
    {/if}
    <div class="dzm-itb-sqr-content-container text-{$instance->getProperty('horizontalTextAlignment')} text-align-{$instance->getProperty('verticalTextAlignment')} p{$padding} {$paddingtop}">
        {include file='../Snippets/headline.tpl' classes="text-uppercase bold text-center"}
        <div class="dzm-itb-sqr-content">
            {$instance->getProperty('content')}
        </div>
    </div>
        <div class="dzm-itb-content-btn d-flex justify-content-{$instance->getProperty('buttonAlignment')} p{$padding} {$paddingbottom}">
            {include file="../Snippets/button.tpl"}
        </div>

</div>

