{$align = $instance->getProperty(textPosHorizontal)}
{$justify = $instance->getProperty(textPosVertical)}
{if $instance->getProperty('padding') == 'p-0'}
    {$padding = '0'}
{elseif $instance->getProperty('padding') == 'p-1'}
    {$padding = '0.25rem'}
{elseif $instance->getProperty('padding') == 'p-2'}
    {$padding = '0.5rem'}
{elseif $instance->getProperty('padding') == 'p-3'}
    {$padding = '1rem'}
{elseif $instance->getProperty('padding') == 'p-4'}
    {$padding = '1.5rem'}
{elseif $instance->getProperty('padding') == 'p-5'}
    {$padding = '2rem'}
{elseif $instance->getProperty('padding') == 'p-6'}
    {$padding = '3rem'}
{elseif $instance->getProperty('padding') == 'p-7'}
    {$padding = '4rem'}
{elseif $instance->getProperty('padding') == 'p-8'}
    {$padding = '5rem'}
{/if}
{$height = 'calc('|cat:$instance->getProperty('sliderheight')|cat:' + ( 2 * '|cat:$padding|cat:'))'}
{if $instance->getProperty(direction) == 'rtl'}
    {if $align == 'start'} {$align = 'end'}
    {elseif $align == 'end'} {$align = 'start'} {/if}
{/if}

{$style = $instance->getProperty('listStyle')}
{if $instance->getProperty('blockId') != ''}
    {$uid="{$instance->getProperty('blockId')}" }
{else}
    {$uid = $instance->getUid()}
{/if}
{if $isPreview}
    <div class="opc-ProductStream" style="{$instance->getStyleString()}">
        {image alt='ProductStream' src=$portlet->getBaseUrl()|cat:'preview.'|cat:$style|cat:'.png'}
    </div>
{else}
    {$productlist = $portlet->getFilteredProducts($instance)}

    {if $style === 'simpleSlider'}

        <section id="{$uid}" class="splide pt-3 dzm-ps-style-{$instance->getProperty('theme')} {$instance->getProperty('padding')} {$instance->getStyleClasses()}" aria-label="Splide Basic HTML Example" style="height:{$height};">
            <div class="splide__track">
                <div class="splide__list dzm-splide-list">

                    {foreach $productlist as $item}

                        <div class="splide__slide d-flex flex-column justify-content-center">
                            <div class="dzm-slider-card m-3" style="{if {$instance->getProperty('theme')} == 'bordered'}padding: 0 0 0 {$instance->getProperty('gap')};{/if}">
                                {link href=$item->cURLFull}
                                    <div class="item-slider productbox-image square square-image">
                                        {if isset($item->oSuchspecialBild)}
                                            {if !empty($item->Preise->Sonderpreis_aktiv)}
                                                {$sale = $item->Preise->discountPercentage}
                                            {/if}


                                            {if $instance->getProperty('showRibbon')}
                                            <div class="ribbon ribbon-{$item->oSuchspecialBild->getType()} productbox-ribbon">
                                                {lang key='ribbon-'|cat:$item->oSuchspecialBild->getType() section='productOverview' printf=$sale|default:''|cat:'%'}
                                            </div>
                                            {/if}
                                        {/if}
                                        <div class="inner">
                                            {if isset($item->Bilder[0]->cAltAttribut)}
                                                {assign var=alt value=$item->Bilder[0]->cAltAttribut|truncate:60}
                                            {else}
                                                {assign var=alt value=$item->cName}
                                            {/if}
                                            {block name='productlist-item-slider-image'}
                                                {include file='snippets/image.tpl' item=$item square=false srcSize='sm' class='product-image'}
                                            {/block}

                                            <meta itemprop="image" content="{$item->Bilder[0]->cURLNormal}">
                                            <meta itemprop="url" content="{$item->cURLFull}">

                                        </div>
                                    </div>

                                {/link}


                            </div>
                        </div>
                    {/foreach}


                </div>
            </div>
        </section>
    {elseif $style === 'slider'}
        <section id="{$uid}" class="splide pt-3 dzm-ps-style-{$instance->getProperty('theme')} {$instance->getProperty('padding')} {$instance->getStyleClasses()}" aria-label="Splide Basic HTML Example" style="height:{$height};">
            <div class="splide__track dzm-ps-track">
                <div class="splide__list dzm-ps-list">
                    {foreach $productlist as $item}

                        <div class="splide__slide d-flex flex-column justify-content-center">
                            <div class="dzm-ps-item-wrapper {if $instance->getProperty('theme') != 'card'}m-3{/if} {if {$instance->getProperty('direction')} == "ttb"} flex-row {else} flex-column {/if}" style="height:{if {$instance->getProperty('fixedHeight')} == "" } {$instance->getProperty('sliderheight')} {else} {$instance->getProperty('fixedHeight')} {/if}; width:{$instance->getProperty('fixedWidth')}; padding: 0 0 0 {$instance->getProperty('gap')};">
                                {if $instance->getProperty('theme') == 'card'}
                            <div style="flex-grow: 1; display: flex;flex-direction: column">{/if}
                                <a href="{$item->cURLFull}" class="d-flex flex-column justify-content-center" style="{if {$instance->getProperty('direction')} == "ttb"} min-width: 33%{else} max-height: 63%{/if}">
                                    <div class="item-slider productbox-image square square-image">
                                        {if isset($item->oSuchspecialBild)}
                                            {if !empty($item->Preise->Sonderpreis_aktiv)}
                                                {$sale = $item->Preise->discountPercentage}
                                            {/if}

                                            {if $instance->getProperty('showRibbon')}
                                                <div class="ribbon ribbon-{$item->oSuchspecialBild->getType()} productbox-ribbon">
                                                    {lang key='ribbon-'|cat:$item->oSuchspecialBild->getType() section='productOverview' printf=$sale|default:''|cat:'%'}
                                                </div>
                                            {/if}
                                        {/if}
                                        <div class="inner">
                                            {if isset($item->Bilder[0]->cAltAttribut)}
                                                {assign var=alt value=$item->Bilder[0]->cAltAttribut|truncate:60}
                                            {else}
                                                {assign var=alt value=$item->cName}
                                            {/if}
                                            {block name='productlist-item-slider-image'}
                                                {include file='snippets/image.tpl' item=$item square=false srcSize='sm' class='product-image'}
                                            {/block}


                                            <meta itemprop="image" content="{$item->Bilder[0]->cURLNormal}">
                                            <meta itemprop="url" content="{$item->cURLFull}">

                                        </div>
                                    </div>

                                </a>

                                <div class="dzm-ps-item-content-container">
                                    <div class="dzm-ps-item-header text-clamp-2 mb-2">
                                        <p class="h6 m-0">{$item->cKurzbezeichnung} </p>
                                    </div>

                                    <div class="dzm-ps-item-desc my-2">
                                        <p class="muted text-xxs m-0">{$item->cKurzBeschreibung|strip_tags:true}</p>
                                    </div>




                                    <div class="dzm-ps-item-price mt-2" itemprop="offers" itemscope itemtype="https://schema.org/Offer">
                                        {include file='productlist/dzm_listprice.tpl' Artikel=$item tplscope=$tplscope}
                                    </div>
                                </div>
                                {if $instance->getProperty('theme') == 'card'}
                                </div>{/if}
                            </div>
                        </div>
                    {/foreach}


                </div>
            </div>
        </section>



    {/if}
    <script>
        document.addEventListener( 'DOMContentLoaded', function() {
            let splide = new Splide( '#{$uid}', {
                perPage: {$instance->getProperty('xl')},
                breakpoints:{
                    576:{
                        perPage:{$instance->getProperty('xs')}
                    },
                    768:{
                        perPage:{$instance->getProperty('s')}
                    },
                    992:{
                        perPage:{$instance->getProperty('m')}
                    },
                    1300:{
                        perPage:{$instance->getProperty('l')}
                    }


                },

                gap : '{$instance->getProperty('gap')}',
                perMove : '{$instance->getProperty('perMove')}',

                type   : '{$instance->getProperty('type')}',
                width   : '{$instance->getProperty('width')}',
                height   : '{$instance->getProperty('sliderheight')}',
                fixedWidth : '{$instance->getProperty('fixedWidth')}',
                fixedHeight : '{$instance->getProperty('fixedHeight')}',
                {if $instance->getProperty('useClones')}clones:'{$instance->getProperty('clones')}',{/if}
                arrows: '{$instance->getProperty('arrows')}',
                {if $instance->getProperty('arrowPath') != null}arrowPath:'{$instance->getProperty('arrowPath')}',{/if}
                pagination: '{$instance->getProperty('pagination')}',
                paginationDirection: '{$instance->getProperty('direction')}',
                direction: '{$instance->getProperty('direction')}',
                speed: '{$instance->getProperty('speed')}',
                drag: '{$instance->getProperty('drag')}',
                rewind: '{$instance->getProperty('rewind')}',
                rewindSpeed: '{$instance->getProperty('rewindSpeed')}',
                rewindByDrag: '{$instance->getProperty('rewindByDrag')}',
                autoplay: '{$instance->getProperty('autoplay')}',
                interval: '{$instance->getProperty('interval')}',
                pauseOnHover:'{$instance->getProperty('pauseOnHover')}',
                pauseOnFocus:'{$instance->getProperty('pauseOnFocus')}',
                cloneStatus: false
            } );
            splide.mount();
        } );
    </script>
{/if}
