<div id="{$instance->getProperty('blockId')}" class="dzm-tb-wrapper {$instance->getStyleClasses()}" style="{$instance->getStyleString()}">
    <div class="dzm-tb-headline-container text-{$instance->getProperty('headlinePos')}" style="{$instance->getStyleString()}">
        {$subheader = $instance->getProperty('subHeader')}
        {$subheaderpos = $instance->getProperty('subheaderPos')}
        {$type = $instance->getProperty('headerType')}

        {if $subheader != '' && $subheaderpos == 'top'}
            <p style="color: {$instance->getProperty('subheaderColor')}" >{$subheader}</p>
        {/if}


        {if $type == 'h1'}
            <h1>{$instance->getProperty('header')}</h1>
        {elseif $type == 'h2'}
            <h2>{$instance->getProperty('header')}</h2>
        {elseif $type == 'h3'}
            <h3>{$instance->getProperty('header')}</h3>
        {elseif $type == 'h4'}
            <h4>{$instance->getProperty('header')}</h4>
        {elseif $type == 'h5'}
            <h5>{$instance->getProperty('header')}</h5>
        {elseif $type == 'h6'}
            <h6>{$instance->getProperty('header')}</h6>
        {elseif $type == 'p'}
            <p>{$instance->getProperty('header')}</p>
        {else}
            <h2>{$instance->getProperty('header')} {$type}</h2>
        {/if}

        {if $subheader != '' && $subheaderpos == 'center'}
            <p style="color: {$instance->getProperty('subheaderColor')}">{$subheader}</p>
        {/if}


        {include file='../Snippets/hrline.tpl'}


        {if $subheader != '' && $subheaderpos == 'bottom'}
            <p style="color: {$instance->getProperty('subheaderColor')}" >{$subheader}</p>
        {/if}
    </div>
    <div class="dzm-tb-content-container">
        {$instance->getProperty('content')}
    </div>
</div>