{$iconStyle = "border-color: {$instance->getProperty('iconBorderColor')}; background:{$instance->getProperty('iconBackgroundColor')};"}
<div id="{$instance->getProperty('blockId')}" class="dzm-cb-wrapper {$instance->getStyleClasses()}" style="{$instance->getStyleString()}">

    <div class="row h-100">
        <div class="col-8  h-100 ">
            <div class="dzm-cb-content-container">
                <div class="dzm-cb-icon-container d-flex mb-2">
                    {if $instance->getProperty('icon1') != ''}
                        <div class="dzm-character-icon mr-2" style="{$iconStyle}">
                            <img src="media/image/storage/opc/{$instance->getProperty('icon1')}"/>
                        </div>

                    {/if}
                    {if $instance->getProperty('icon2') != ''}
                        <div class="dzm-character-icon mr-2" style="{$iconStyle}">
                            <img src="media/image/storage/opc/{$instance->getProperty('icon2')}"/>
                        </div>                    {/if}
                    {if $instance->getProperty('icon3') != ''}
                        <div class="dzm-character-icon mr-2" style="{$iconStyle}">
                            <img src="media/image/storage/opc/{$instance->getProperty('icon3')}"/>
                        </div>                    {/if}
                </div>


                <p class="h3 text-uppercase bold m-0">{$instance->getProperty('headline')}</p>
                <p class="h4 text-uppercase bold gray">{$instance->getProperty('subline')}</p>

                {include file='../Snippets/button.tpl'}
            </div>

        </div>

        <div class="col-4 dzm-cb-img-container">
            {$transform = 'transform: translateX('|cat:$instance->getProperty('tX')|cat:') translateY('|cat:$instance->getProperty('tY')|cat:') scale('|cat:$instance->getProperty('scale')|cat:');'}
            {$size = 'height:'|cat:$instance->getProperty('height')|cat:';width:'|cat:$instance->getProperty('width')|cat:';'}
            {$style = $transform|cat:$size}
            {$img = $instance->getProperty('img')}
            {$imgAttribs = $instance->getImageAttributes($img, '', '')}

            {image
            srcset=$imgAttribs.srcset
            sizes=$imgAttribs.srcsizes
            src=$imgAttribs.src
            alt=$imgAttribs.alt|escape:'html'
            title=$slideTitle|escape:'html'
            style=$style}
        </div>
    </div>

</div>