<div id="{$instance->getProperty('blockId')}" class="dzm-vb-wrapper {$instance->getStyleClasses()}" style="overflow:hidden;{$instance->getStyleString()}">

    <div data-dzm-vp-wrapper>
        <div class="dzm-vb-thumbnail-container position-relative " data-dzm-vp-thumbnail-container>

            {if $instance->getProperty('customHeight') != ''}
                {$style = 'height:'|cat:$instance->getProperty('customHeight')|cat:';'}
            {else}
                {if $instance->getProperty('aspect') != ''}
                    {$style = 'aspect-ratio:'|cat:$instance->getProperty('aspect')|cat:';'}
                {else}
                    {$style = ''}
                {/if}
            {/if}

            {$img = $instance->getProperty('img')}
            {$imgAttribs = $instance->getImageAttributes($img, '', '')}
            {image
            srcset=$imgAttribs.srcset
            sizes=$imgAttribs.srcsizes
            src=$imgAttribs.src
            alt=$imgAttribs.alt|escape:'html'
            title=$slideTitle|escape:'html'
            style=$style}

            <div class="dzm-vb-playbtn-outer position-absolute" data-dzm-vp-playbtn>
                <div class="dzm-vb-playbtn-inner">
                    <svg xmlns="http://www.w3.org/2000/svg" width="36" height="41" viewBox="0 0 36 41" fill="{$instance->getProperty('btnColor')}">
                        <path d="M34.5 17.9019C36.5 19.0566 36.5 21.9434 34.5 23.0981L5.25001 39.9856C3.25001 41.1403 0.749998 39.6969 0.749998 37.3875L0.75 3.61251C0.75 1.30311 3.25 -0.140275 5.25 1.01443L34.5 17.9019Z" fill=""/>
                    </svg>
                </div>
            </div>
        </div>
        <div class="dzm-vb-video-container position-relative d-none" data-dzm-vp-video-container style="object-fit: cover;{$style}">
            <button type="button" class="close dzm-video-close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            {if $instance->getProperty('source') === 'embed' }

                {$video = $instance->getProperty('videoEmbed')}
                {$pieces = explode('src="', $video)}
                {$string1 = $pieces[0]}
                {$string2 = $pieces[1]}
                {$videoConf = ''}


                {if $video|strstr:'youtube' }

                    {$parts1 = explode('embed/', $string2)}
                    {$parts2 = explode('"',$parts1[1])}
                    {$code = $parts2[0]}

                    {if $instance->getProperty('mute')}
                        {$videoConf = '?mute=1'}
                    {/if}
                    {if $instance->getProperty('loop')}
                        {$videoConf = '?loop=1&amp;playlist='|cat:$code}
                    {/if}
                    {if $instance->getProperty('mute') && $instance->getProperty('loop')}
                        {$videoConf = '?mute=1&amp;loop=1&amp;playlist='|cat:$code}
                    {/if}


                {elseif $video|strstr:'vimeo'}

                    {if $instance->getProperty('mute')}
                        {$videoConf = '?muted=1'}
                    {/if}
                    {if $instance->getProperty('loop')}
                        {$videoConf = '?loop=1'}
                    {/if}
                    {if $instance->getProperty('mute') && $instance->getProperty('loop')}
                        {$videoConf = '?muted=1&amp;loop=1'}
                    {/if}

                {/if}


                {$string2 = substr($string2, 0, strpos($string2, '"'))|cat:$videoConf|cat:substr($string2, strpos($string2, '"'))}
                {$video = $string1|cat:'src="'|cat:$string2 }
                {$video}


            {elseif $instance->getProperty('source') === 'upload' }
                <video controls="true" {if $instance->getProperty('mute')} muted="" {/if} {if $instance->getProperty('loop')} loop="" {/if} data-dzm-vp-video>
                    <source src="{$instance->getProperty('videoUpload')}">
                </video>
            {else}
                <video controls="true" {if $instance->getProperty('mute')} muted="" {/if} {if $instance->getProperty('loop')} loop="" {/if} data-dzm-vp-video>
                    <source src="{$instance->getProperty('videoUrl')}">
                </video>
            {/if}

        </div>
    </div>

</div>

